# UserPrivateInformation

Represents private information for a user on SMHW.

## Constructor

#### new UserPrivateInformation(client, response)

Instantiate a UserPrivateInformation object

Parameters:

Name | Type | Description
--- | --- | ---
`client` | Client | The client that is instantiating the object.
`response` | Object | The data for the object.

Source:
  - structures/UserPrivateInformation.js, line 11

### Members

#### (private) _client :Client

The client that instantiated the object.

Type:

- Client

Source:
  - structures/UserPrivateInformation.js, line 17

#### bio :String

The bio of the user.

Type:

- String

Source:
  - structures/UserPrivateInformation.js, line 23

#### calendar_token :String

The calendar token for the user.

Type:

- String

Source:
  - structures/UserPrivateInformation.js, line 29

#### confirmed_at :Number

The timestamp of when the user was confirmed.

Type:

- Number

Source:
  - structures/UserPrivateInformation.js, line 35

#### confirmed_publication_warning :Boolean

Type:

- Boolean

Source:
  - structures/UserPrivateInformation.js, line 40

#### email :String

The email of the user.

Type:

- String

Source:
  - structures/UserPrivateInformation.js, line 46

#### has_filled_details :Boolean

Whether or not the user has filled in details or not.

Type:

- Boolean

Source:
  - structures/UserPrivateInformation.js, line 52

#### id :Number

The ID of the user.

Type:

- Number

Source:
  - structures/UserPrivateInformation.js, line 58

#### intercom_enabled :Boolean

Type:

- Boolean

Source:
  - structures/UserPrivateInformation.js, line 63

#### last_activity_at :Number

The timestamp of the last activity of the user.

Type:

- Number

Source:
  - structures/UserPrivateInformation.js, line 69

#### last_subject :String

Type:

- String

Source:
  - structures/UserPrivateInformation.js, line 74

#### last_user_activity_at :number

The timestamp of the last activity of the user.

Type:

- number

Source:
  - structures/UserPrivateInformation.js, line 80

#### mobile_device_id :Number

The ID of the user's mobile device.

Type:

- Number

Source:
  - structures/UserPrivateInformation.js, line 86

#### notification_preference_id :Number

The ID of the user's notification preferences.

Type:

- Number

Source:
  - structures/UserPrivateInformation.js, line 92

#### root_folder_id :Number

The ID of the user's root folder.

Type:

- Number

Source:
  - structures/UserPrivateInformation.js, line 98

#### total_storage_used :Number

The total storage that the user used.

Type:

- Number

Source:
  - structures/UserPrivateInformation.js, line 104

#### uid :String

The UID of the user.

Type:

- String

Source:
  - structures/UserPrivateInformation.js, line 110

#### username :String

The username of the user.

Type:

- String

Source:
  - structures/UserPrivateInformation.js, line 116